{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/api_user/settlement_concept_account_user/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/api_user/settlement_concept_account_user/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('external_user_api_user_settlement_concept_account_user_edit', {'settlementConceptAccountUserId': settlementConceptAccountUser.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">API-Nutzenden <i>{{ settlementConceptAccountUser.getFullName() }}</i> löschen</span>
        {{ form_widget(settlementConceptAccountUserDeleteForm.delete, {'label': 'LÖSCHEN', 'id': settlementConceptAccountUserDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Der API-Nutzende und alle verknüpften Daten werden unwiderruflich gelöscht.
            </h1>
            <p>
                Um die Löschung durchzuführen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">api_nutzer_{{ settlementConceptAccountUser.getId() }}</span>
            </p>
            {{ form_start(settlementConceptAccountUserDeleteForm, {'attr': {'id': settlementConceptAccountUserDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'external_user/form/api_user/settlement_concept_account_user/settlement_concept_account_user_delete_form.html.twig' with {'form': settlementConceptAccountUserDeleteForm} only %}
            {{ form_row(settlementConceptAccountUserDeleteForm._token) }}
            {{ form_end(settlementConceptAccountUserDeleteForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4">
            <div class="p-4">
                {{ form_start(settlementConceptAccountUserForm, {'attr': {'id': settlementConceptAccountUserForm.vars.id ~ '_form'}}) }}
                {% include 'external_user/form/api_user/settlement_concept_account_user/settlement_concept_account_user_form.html.twig' with {'form': settlementConceptAccountUserForm} only %}
                {{ form_end(settlementConceptAccountUserForm, {'render_rest': false}) }}
            </div>
        </div>
    </div>
{% endblock %}
